XINE(1)

NAZWA
xine - wolny odtwarzacz wideo

SKŁADNIA
xine [opcje] [MRL] ...

OPIS
Ta strona manuala skrótowo opisuje odtwarzacz dźwięku/obrazu xine.

xine odtwarza sekwencje MPEG (obraz i dźwięk), elementarne sekwencje MPEG (np. pliki .mp3 lub .mpv), struminie transmisji mpeg, pliki ogg, pliki avi, asf, quicktime oraz DVD i (S)VCD.

OPCJE
Program naśladuje składnię wiersza poleceń w stylu GNU, z długimi nazwami opcji zaczynającymi się od podwójnego myślnika (`-'). Lista opcji jest zebrana poniżej. Pełnego opisu szukaj w dokumentach README_pl i FAQ_pl w katalogu /usr/local/share/doc/xine-ui lub na stronie głównej projektu xine

-h, --help
    Pokazuje listę opcji i dostępnych sterowników wyjścia (wtyczek).

-a, --audio-channel <numer>
    Wybiera podany kanał dźwiękowy. <numer> jest numerem kanału dźwiękowego, domyślnym jest 0.
    xine 0.5 i nowszy próbuje najlepiej jak umie wyszukać listę kanałów (ac3, mpeg audio, avi audio, ...) z sekwencji dźwiękowych i mapuje je do "kanałów wirtualnych" z numerami kanałów zaczynającymi się od 0.

-V, --video-driver <sterownik>
    Wybiera sterownik wideo. Spróbuj xine --help by otrzymać listę dostępnych sterowników wideo w Twoim systemie. Ten wybór zostanie automatycznie zapisany do Twojego ~/.xine/config więc musisz zdefiniować sterownik wideo tylko raz.

-A, --audio-driver <sterownik dźwięku>
    Wybiera sterownik dźwięku. Sróbuj xine --help by otrzymać listę dostępnych sterowników dźwięku w Twoim systemie. Ten wybór jest automatycznie zapisywany do Twojego .xinerc więc będziesz musiał zdefiniować sterownik dźwięku tylko raz.

-u, --spu-channel <numer>
    Wybierz kanał (podobrazu napisów).<numer> to numer kanału napisów domyślnie jest bez (-1fP).

-p[q][d][v], --auto-play= [f][F][h][w][q][d][v]
    Zaczyna odtwarzać od razy po starcie programu. Można dodać:
    `f' w trybie pełnoekranowym,
    `F' w trybie pełnoekranowym xinerama,
    `h' ukryj GUI (panel główny, etc...),
    `w' ukryj okno wyjścia obrazu,
    `q' aby zakończyć program po zakończeniu odtwarzania,
    Jest również możliwe pobranie listy odtwarzania z DVD `d', lub VCD `v'. Jest teraz również bardziej ogólna opcja, --auto-scan (zobacz niżej).

-s, --auto-scan <wtyczka>
    Automatycznie pobierz listę odtwarzania z wtyczki wejścia. Wiele wtyczek pozwala na odczyt domyślnej listy odtwarzania, aby odtworzyć wszystko. To działa w przypadku, np. DVD lub VCD. Podając taką opcję daje taki sam effekt jak przyciśnięcie odpowiedniego przycisku na panelu głównym xine. Ta opcja jest głównie przydatna w kombinacji z auto-odtwarzaniem. Możesz wystartować xine --auto-play --auto-scan dvd aby odtworzyć całe DVD bez naciskania jakichkolwiek dodatkowych przycisków. To działa również z wtyczkami nie rozprowadzanymi z xine, po prostu podaj nazwę przycisku który wymagana wtyczka dodaje do panelu xine!

-f, --fullscreen
    Przełącz xine do trybu pełnoekranowego przy uruchomieniu (tak jak naciśnięcie `f')

-F, --xineramafull
    Przełącz xine do trybu pełnoekranowego przy starcie (po prostu jak naciśnięcie `F'). To znaczy, próbuje rozciągnąć wyświetlacz na kilka ekranów. Ekrany które mają być użyte są definiowane w pliku konfiguracyjnym.

-g, --hide-gui
    Ukryj wszystkie okna GUI (z wyjątkiem okna wyświetlania) przy starcie. Działa tak samo jak naciśniecie `G' podczas działania xine.

-H, --hide-video
    Ukryj okno wyjścia obrazu.

-L, --no-lirc
    Wyłącz obsługę LIRC. Ta opcja jest dostępna tylko jeśli xine zostało skompilowane z obsługą LIRC.

--visual <typ-wyświtlania-lub-id>
    Próbuje użyć specyficznego typu wyświetlania serwera X11 dla okien xine. Parametr <typ-wyświetlania-lub-id> jest albo nazwą typu wyświetlania X11 (StaticGray, GrayScale, StaticColor, PseudoColor, TrueColor or DirectColor) albo jego wartością szesnastkową. Jeżeli użyte z nazwą typu wyświtlania kolorów, xine próbuje znaleźć taki typ spśród głębii 15 albo 16, 24, 32 lub 8 (w tej kolejności). Domyślny typ wyświetlania używany przez xine w przypadku braku opcji --visual to TrueColor. Jeżeli żadna głębia kolorów nie zostanie znaleziona, xine przeskoczy z powrotem do głębii użytej przez główne okno serwera X11.

--install
    Kiedy użyta jest wyświtlanie X11 ze zmienną mapą kolorów, instaluje osobistą mapę kolorów dla xine. Z osobistą mapą kolorów, xine może mapować więcej kolorów tak że wyjściowy ekran wideo może wyglądać lepiej.

--keymap=[opcja]
    Wyświetl mapowanie klawiszy. Opcjami są:
    `default' wyświetl domyślne mapowanie klawiszy,
    `lirc' wyświetl szablon pliku konfiguracyjnego ~/.lircrc,
    `remapped' przemapowane przez użytkownika mapowania klawiszy,
    Jeśli żadna opcja nie jest podana, wybrana zostaje `default'.

-n, --network
    Aktywuj sieciowy serwer zdalnej kontroli. Aby używać sieciowy serwer zdalnej kontroli, wymagany jest plik z hasłem. Jeśli xine nie może go znaleźć, serwer zostaje zatrzymany. Składnia pliku haseł naśladuje dobrze znany schemat <identyfikator>:<hasło>. Ponieważ kryptografia jest obiektem prawnych problemów w niektórych krajach, hasło jest niezaszyfrowane jak również przesyłane niezaszyfrowane, więc należy zachować szczególną ostrożność przy zdalnych połączeniach. Dwie dodatkowe (opcjonalne) zasady są również dostępne (jedna na raz):
    ALL:ALLOW or ALL:DENY
    W pierwszym przypadku, wszystkie klienty są autoryzowane do wykonywania wszystkich dostępnych komend, bez ograniczeń. W drugim przypadku , nikt nie jest autoryzowany do wykonywania jakichkolwiek komend z wyjątkiem zidentyfikowanych użytkowników (używających komendy 'identify'). Jeśli wpis hasła zaczyna się od gwiazdki `*', użytkownik jest blokowany. Jeśli wpis hasła jest pusty, cały wpis jest ignorowany. Oto przykład małego pliku haseł ~/.xine/passwd:
    ALL:DENY
    daniel:mojehasło
    foo:*
    To pozwoli tylko 'danielowi' wykonywać komendy po udanym etapie identyfikacji. Domyślny port serwera to 6789, ten numer jest absolutnie dowolny. Możesz połączyć się z serwerem używając prostej komendy telnet:
    telnet localhost 6789
    Aby zmienić domyślny port, możesz (jako root) wyedytować swój /etc/services, i dodać podobny wpis:
    xinectl    7890/tcp        # xine control
    to zmieni domyślny port z 6789 na 7890, i stworzy serwis nazwany xinectl. Serwer jako taki oferuje następującą pomoc/składnie komend:
    help [komenda]
    Bez podanej komendy, zostaną wyświetlone wszystkie możliwe komendy. Jeśli komenda jest podana, wyświetlony zostanie krótki tekst opisujący funkcjonalność tej komendy.
    syntax <komenda>
    Wyświetla składnię komendy.

-R, --root
    Użyj okna głównego jako okna wyjścia obrazu.

-G, --geometry <WxH[+X+Y]>
    Można ustawić rozmiar i pozycję okna wyjścia obrazu używając geometrii znanej z X windows (patrz X(7)). X i Y to parametry opcjonalne.

-B, --borderless
    Usuń obramowanie okna wyjścia obrazu w trybie okienkowym.

-P, --playlist <nazwa_pliku>
    Użyj pliku jako listy odtwarzania. Rozpoznawane formaty to: asx, toxine, m3u, pls, sfv i plik textowy.

-l, --loop [mode]
    Ustaw tryb powtarzania listy odtwarzania. Jeśli tryb nie zostanie podany, zostanie użyty loop jako domyślny. Obsługiwane tryby to:
    loop: powtarzanie całej listy.
    repeat: powtarzanie aktualnej pozycji z listy.
    shuffle: wybierz losowo jeszcze nie odtwarzaną pozycję z listy.
    shuffle+: to samo co shuffle, ale w nieskończoność powtarzaj listę.

MRL (media resource locator)
    MRL jest podobny do URL w Twojej przeglądarce internetowej. Opisują one nośnik z którego należy czytać. Poprawnym MRL może być nazwa pliku, lub jeden z:
    file:<ścieżka>
    fifo:<ścieżka>
    stdin:/
    dvd:/<tytuł>.<rozdział>
    vcd:/<numerścieżki>
    tcp://<host>:<port>
    rtp://<host>:<port>
    udp://<host>:<port><?iface=interface>
    http://<host>

Można zdefiniować kilka MRL, aby odtwarzać jakąś ilość następujących po sobie sekwencji. Dodatkowe wtyczki wejścia wzbogacają listę dostępnych MRL. Te wymienione powyżej są dostępne z libxine...

Jeśli nie zdefiniujesz żadnego MRL'a, będziesz musiał wybrać plik poprzez "przeciągnij i upuść". Działa to z GNOME Midnight Commander (gmc), Nautilusem i Konquerorem.

pliki napisów avi
    Pliki tekstowe napisów mogą być dodane do pliku MRL (odseparowane znakiem `?'):
    file://<ścieżka>?<plik_z_napisami>

opcje strumieni
    Po separatorze # można dodać różne parametry strumienia:

novideo
    obraz będzie ignorowany

noaudio
    dźwięk będzie ignorowany

nospu
    subobrazy będą ingorowane

demux:<nazwademultipleksera>
    podaj nazwę wtyczki demultipleksera

volume:<poziom>
    ustawia głośność dźwięku

compression:<poziom>
    ustawia dynamiczny zakres kompresji dźwięku

<config wpis>:<config wartość>
    przypisuje nową wartość do jakiegokolwiek wpisu konfiguracji

KLAWISZE KONTROLNE
Wiele funkcji może być kontrolowanych przez naciśnięcie odpowiednich klawiszy. `M-' to modyfikator (klawisz `Alt' na klawiaturze PC), `C-' to klawisz Control `CTRL', inne klawisze specjalne są zamknięte znakami `<' i `>', np: klawisz `HOME' jest wyświetlany jako <home>. Domyślne mapowania klawiszy to:

0 .. 9
    Przeskocz do 0%....90% aktualnego strumienia

/   Przeskocz do miejsca określonego przez wartość numerycznego argumentu (w procentach). Jest to bardziej ogólne zastosowanie niż powyższe komendy 0...9. Zobacz również sekcję "Wprowadzanie numerów" poniżej.

A   Przełącz proporcje ekranu (AUTO/16:9/4:3/DVB)

C-a Dodaj do listy odtwarzania znak nośnika, z obecnej pozycji odtwarzania strumienia.

M-C Pokaż/Ukryj okno ustawień obrazu.

E   Wysuń bierzący nośnik.

f   Przełącz tryb pełnoekranowy.

F   Przełącz tryb pełnoekranowy xinerama.

G   Ukryj/pokaż GUI (Graficzny Interfejs Użytkownika)

H   Ukryj/pokaż okno wyświetlania obrazu.

i | I
    Przełącz tryby korekty przeplotu.

l   Przełącz pomiędzy trybami powtarzania.

M-l Pokaż/Ukryj okno logów.

M-m Pokaż/ukryj przeglądarkę MRL

C-m Przełączenie trybu wyciszania dźwięku (mute).

CM-o
    Przełącz system TV na karcie DXR3.

C-o Otwórz przeglądarkę plików.

M-p Pokaż/ukryj okno listy odtwarzania.

Q   Wyjście.

d   Przełącz monitor w tryb oszczędzania energi DPMS.

s   Zoom 1:1.

S   Zatrzymaj odtwarzanie.

M-s Pokaż/ukryj okno ustawień.

z | Z
    Zoom - powiększanie/pomniejszanie.

M-C-z
    Resetowanie powiększenia.

v   Zmniejsz głośność dźwięku.

V   Zwiększ głośność dźwięku.

t   Zrób zdjęcie - zrzut obrazu.

<return>
    Odtwarzaj

<space>
    Stopklatka

<up> | <down>
    Szybkie przewijanie / zwolnienie

C-<left> | C-<right>
    Przeskocz o -+15 sek.

<left> | <right>
    Przeskocz o -+60 sek.

<page up>
    Przeskocz do poprzedniego strumienia na liście odtwarzania.

<page down>
    Przeskocz do następnego strumienia na liście odtwarzania.

<   Zmniejsz okno wyświetlania.

>   Zwiększ okno wyświetlania.

M-1 Ustaw rozmiar okna wyświetlania na 50%

M-2 Ustaw rozmiar okna wyświetlania na 100%

M-3 Ustaw rozmiar okna wyświetlania na 200%

.   Wybierz następny kanał napisów.

,   Wybierz poprzedni kanał napisów.

+   Wybierz następny kanał dźwięku (może potrwać do kilku sekund)

-   Wybierz poprzedni kanał dźwięku

<Esc>
    Menu 1 (np. główne menu)

<F1>
    Menu 2 (np. menu rozdziału)

<F2>
    Menu 3

<Insert>
    Przełącz widoczność kursora.

M-e Pokaż/ukryj okno Nawigatora.

M-i Pokaż ukryj okno wyświetlania informacji o strumieniu.

C-t Przełącz tryb wyświetlania pomiędzy MRL a identyfikatorem.

C-s Uaktualnij informacje o strumieniach listy odtwarzania (jeśli możliwe)

C-e W oknie listy odtwarzania, używając tego skrótu można zmienić zawartość znacznika nośnika (takie jak identyfikator, mrl, czast startu i zatrzymania).

  Zewnętrzne wtyczki
Następujące skróty są używane przez wtyczki zewnętrzne, generalnie do nawigacji DVD:

<KeyPad Up>
    Góra.

<KeyPad Down>
    Dół.

<KeyPad Left>
    Lewo.

<KeyPad Right>
    Prawo.

<KeyPad Prior>
    Wstecz.

<KeyPad Next>
    Naprzód.

<KeyPad End>
    Poprzedni kąt kamery.

<KeyPad Home>
    Następny kąt kamery.

<KeyPad Enter>
    Wybierz.

  Dostrajanie synchronizacji
Niektóre strumienie mają błędne znaczniki czasu, więc synchronizacja się nie udaje. Można to poprawić używając następujących klawiszy:

n | N
    Naciśnij jeśli obraz nie nadąża za dźwiękiem

m | Naciśnij jeśli dźwięk nie nadąża za obrazem

<home>
    Naciśnij aby zresetować ustawienia przesunięć na 0, tak aby znaczniki czasu strumienia pozostały niezmienione.

  Wprowadzanie numerów
Jest możliwe podawanie numerycznych skrótów, pomimo że dla wstecznej kompatybilności klawisze numeryczne nie są przypisane do ich cyfrowej wartości. Co więcej, cyfry od 0 do 9 są przypisane do symboli które nie mogą normalnie być wprowadzone z klawiatury. Dlatego możliwość wprowadzania numerów jest domyślnie wyłączona. Można, jednak, to zmienić przez
przełączenie wartości modyfikatora "SetPosition<X>%" i "Number<Y>"    (gdzie <X> jest 0, 10, ... 90, i <Y> jest 0..9). W szczególności
należy zastąpić poniższe linie w pliku mapowania klawiszy ~/.xine/keymap.
# Ustaw pozycję na początek lub 10...90% aktualnego strumienia.
SetPosition0% {
        key = 0
        modifier = mod3
}
SetPosition10% {
        key = 1
        modifier = mod3
}
SetPosition20% {
        key = 2
        modifier = mod3
}
SetPosition30% {
        key = 3
        modifier = mod3
}
SetPosition40% {
        key = 4
        modifier = mod3
}
SetPosition50% {
        key = 5
        modifier = mod3
}
SetPosition60% {
        key = 6
        modifier = mod3
}
SetPosition70% {
        key = 7
        modifier = mod3
}
SetPosition80% {
        key = 8
        modifier = mod3
}
SetPosition90% {
        key = 9
        modifier = mod3
}
# Wprowadź numery od 0 do  9.
Number0 {
        key = 0
        modifier = none
}
Number1 {
        key = 1
        modifier = none
}
Number2 {
        key = 2
        modifier = none
}
Number3 {
        key = 3
        modifier = none
}
Number4 {
        key = 4
        modifier = none
}
Number5 {
        key = 5
        modifier = none
}
Number6 {
        key = 6
        modifier = none
}
Number7 {
        key = 7
        modifier = none
}
Number8 {
        key = 8
        modifier = none
}
Number9 {
        key = 9
        modifier = none
}

Dokonując powyższych zmian, możesz podać numeryczny argument do komendy, wprowadzając numer i następnie klawisz funkcyjny. Np. wprowadzając "99/", to jest klawisz "9" dwa razy a następnie klawisz "/", można przeskoczyć do 99% bierzącego strumienia.

Nowa eksperymentalna wtyczka VCD/SVCD, VCDX, pozwala na niektóre wprowadzania numerów. Wprowadzając numer i następujący po nim sygnał "wybierz" (domyślnie Enter na numerycznej klawiaturze), można przejść do podanego "Rozdziału" (ścieżki lub pozycji) lub numeru selekcji. Jako że jest to relatywnie nowa funkcjonalność, możliwe że z czasem więcej wtyczek będzie używać wprowadzania numerów.

Inne komendy które mogą być numeryczne, poprzedzone numerów argumentem są następny/poprzedni MRL, (MRL_NEXT, MRL_PRIOR), następny/poprzedni kanał napisów (SPU_NEXT, SPU_PRIOR), i następny/poprzedni kanał dźwięku (AUDIOCHAN_NEXT, AUDIOCHAN_PRIOR). Z numerycznym prefiksem to tak jak by wykonać daną komendę określoną ilość razy. Tutaj argument "0" jest interpretowany jako "1" bo inaczej byłby bez znaczenia.

Użycie wprowadzania numerów ma raczej ograniczoną wartość użytkową. Z czasem może zostanie zaimplementowanych więcej takich jak np. podawanie określonego albo absolutnego MRL, kanału napisów lub kanału dźwięku.

PLIKI

u   ~/.xine/config Główny plik konfiguracyjny xine

~/.xine/keymap
    Mapowanie klawiszy xine-ui

~/.xine/passwd
    Plik haseł xine-ui

~/.xine/xinerc
    Dodatkowe argumenty lini poleceń
    Każda linia określa dodatkowy argument lini poleceń (jeden argument na linię):
    --geometry 720x576+0+0
    --network
    -s DVD
    -p

ZOBACZ RÓWNIEż
xine-remote(1).
Program jest w pełni udokumentowany na stronie domowej projektu xine: http://xine.sourceforge.net/ (http://xine.sourceforge.net/)

AUTOR
Ta strona manuala została napisana przez Siggi'ego Langauf'a <siggi@debian.org>, dla projektu xine. Dużo dodatków: Guenter Bartsch <guenter@users.sourceforge.net> Daniel Caujolle-Bert <f1rmb@users.sourceforge.net> Rocky Bernstein <rocky@panix.com>, i Philipp Hahn <pmhahn@users.sourceforge.net>.

TŁUMACZENIE
Bartłomiej Muryn <_4ever_@irc.pl>